# GOG-SYNC

A small tool to synchronize the stuff in a [GOG](https://www.gog.com/) library
with a local folder.

It builds on the work of the [unofficial GOG API Documentation](https://gogapidocs.readthedocs.io/en/latest/).

This is the first time I am building something with rust, so beware :)

**Please note that this is alpha software, you should not trust it.**

# Installation
Install from [crates.io](https://crates.io).

```
cargo install gog-sync
```

# Configuration
The configuration file is in the config folder as described by the xdg specification
with a prefix of `gog-sync`.

For example on macOS or Linux

```
~/.config/gog-sync/config.json
```

It is in Json format and the only relevant key is `storage`. The rest is information
about content hashes.

# Usage

If you want to see the information log while running set `RUST_LOG=info`.

---

```
gog-sync
```

Normal invocation, uses the current working directory as storage if not configured
otherwise.

---

```
gog-sync -s ~/Downloads/games
```

Overwrite the default or configured storage path.

---

```
gog-sync -l english -o linux,windows
```

Only sync english installers and only for linux and windows systems.
